perl-POE-Quickie-0.180.0-8.mga7.noarch.rpm


Advertisement

Description

perl-POE-Quickie - A lazy way to wrap blocking code and programs

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename perl-POE-Quickie-0.180.0-8.mga7.noarch.rpm
Package name perl-POE-Quickie
Package version 0.180.0
Package release 8.mga7
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/dist/POE-Quickie
License GPL+ or Artistic
Maintainer -
Download size 27.64 KB
Installed size 55.73 KB
If you need nonblocking access to an external program, or want to execute
some blocking code in a separate process, but you don't want to write a
wrapper module or some POE::Wheel::Run boilerplate code, then POE::Quickie
can help. You just specify what you're interested in (stdout, stderr,
and/or exit code), and POE::Quickie will handle the rest in a sensible way.
It has some convenience features, such as killing processes after a
timeout, and storing process-specific context information which will be
delivered with every event.
There is also an even lazier API which suspends the execution of your event
handler and gives control back to POE while your task is running, the same
way LWP::UserAgent::POE does. This is provided by the /FUNCTIONS functions
which are exported by default.

Alternatives

Package Version Architecture Repository
perl-POE-Quickie-0.180.0-8.mga7.noarch.rpm 0.180.0 noarch Mageia Core
perl-POE-Quickie - - -

Requires

Name Value
perl(Carp) -
perl(Exporter) -
perl(POE) >= 1.350.0
perl(POE::Filter::Stream) -
perl(POE::Session) -
perl(POE::Wheel::Run) -
perl(base) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.28.0

Provides

Name Value
perl(POE::Quickie) == 0.180.0
perl-POE-Quickie == 0.180.0-8.mga7

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-POE-Quickie-0.180.0-8.mga7.noarch.rpm
Source Package perl-POE-Quickie-0.180.0-8.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-POE-Quickie rpm package:
    # urpmi perl-POE-Quickie

Files

Path
/usr/share/doc/perl-POE-Quickie/Changes
/usr/share/doc/perl-POE-Quickie/LICENSE
/usr/share/doc/perl-POE-Quickie/META.json
/usr/share/doc/perl-POE-Quickie/META.yml
/usr/share/doc/perl-POE-Quickie/MYMETA.yml
/usr/share/doc/perl-POE-Quickie/README
/usr/share/man/man3/POE::Quickie.3pm.xz
/usr/share/perl5/vendor_perl/POE/Quickie.pm

Changelog

2018-09-19 - umeabot <umeabot> 0.180.0-8.mga7
(not released yet)
+ Revision: 1270868
- Mageia 7 Mass Rebuild
2016-06-19 - pterjan <pterjan> 0.180.0-7.mga6
+ Revision: 1032616
- Rebuild for perl 5.22.2
2016-02-08 - umeabot <umeabot> 0.180.0-6.mga6
+ Revision: 946772
- Mageia 6 Mass Rebuild

See Also

Package Description
perl-POE-Sugar-Args-1.300.0-4.mga7.noarch.rpm POE-Sugar-Args module for perl
perl-POE-Test-Loops-1.360.0-4.mga7.noarch.rpm Reusable tests for POE::Loop authors
perl-POSIX-RT-Signal-0.15.0-8.mga7.i586.rpm POSIX Real-time signal handling functions
perl-POSIX-Regex-1.0.300-11.mga8.i586.rpm Port of the glibc gnu regex engine into perl
perl-POSIX-strftime-Compiler-0.420.0-2.mga7.noarch.rpm GNU C library compatible strftime for loggers and servers
perl-PPI-1.270.0-1.mga8.noarch.rpm Parse, Analyze and Manipulate Perl without perl
perl-PPI-HTML-1.80.0-10.mga7.noarch.rpm Generate syntax-hightlighted HTML for Perl using PPI
perl-PPI-PowerToys-0.140.0-11.mga7.noarch.rpm A handy collection of small PPI-based utilities
perl-PPI-Tester-0.150.0-12.mga7.noarch.rpm A wxPerl-based interactive PPI debugger/tester
perl-PPI-XS-0.910.0-4.mga8.i586.rpm (Minor) XS acceleration for PPI
perl-PPIx-DocumentName-0.1.3-2.mga7.noarch.rpm Utility to extract a name from a PPI Document
perl-PPIx-EditorTools-0.210.0-1.mga7.noarch.rpm Introduces a temporary variable using PPI
perl-PPIx-QuoteLike-0.8.0-1.mga8.noarch.rpm Represent an interpolation
perl-PPIx-Regexp-0.67.0-1.mga8.noarch.rpm Represent an independent subexpression marker
perl-PPIx-Utilities-1.1.0-8.mga7.noarch.rpm A problem identified by L<PPIx::Utilities|PPIx::Utilities>
Advertisement
Advertisement